Subject: Re: 8xx's IMMR can not be 0x12200000?

From: Dan Malek <[email-masked]>
Date: Thu, 29 Aug 2002 01:37:18 -0400

caokai wrote:

>      But if I set IMMR to 0xFF000000, the linux kernel can work good.
>      I think this limitation must be somewhere in the
> arch/ppc/kernel/head_8xx.S.right?

It's a requirement to be mapped at a very high address like this for
the kernel to work properly.  This is due to the early memory mapping
required by the kernel to access devices in this space.  There is lots
of discussion about this if you search the e-mail archives and FAQs.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/